Bug 57379 - installer errors out during net install
installer errors out during net install
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-12-11 01:28 EST by James Henstridge
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-20 23:07:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Henstridge 2001-12-11 01:28:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.6+) Gecko/20011206

Description of problem:
I was doing an net install to my laptop (a Compaq Armarda m300 which lacks
a cdrom drive) from another 7.2 box set up as an NFS server.  I created the
boot disk as required, and start the installer okay.

When it gets up to the installing packages stage, it stops with an error
after a few packages, dropping back to the console with an error message
(install exited abnormally -- received signal 11)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start a network install using the bootnet.img floppy image
2.answer all questions in installler to install from NFS server
3.wait for installer to fail during package installation

Actual Results:  Installer stops.  Sometimes it stays in graphical mode (in
which case, ctrl+alt+F1 gets back to the console), and sometimes it drops
back to text mode itself.

Expected Results:  Installation of selected packages to complete successfully.

Additional info:

on VT1, I get the following message:
  install exited abnormally -- received signal 11
it then unmounts the volumes and says it is safe to reboot.

once I also got the following message before the first:
  libpng error: invalid stored block lengths

I checked on VT4, and there are lots of messages like:
  <4>Error -3 while decompressing!
(the numbers are different each time).

The system was running RH6.2 without problem before the install (I chose to
reformat the linux partitions as part of the install, so it is a clean
Comment 1 James Henstridge 2001-12-11 02:30:07 EST
I borrowed a base for the laptop with a cdrom drive, so it looks like I can
finish the install.

My laptop was using the builtin EtherExpress Pro 100 for the network install,
and the desktop system acting as the NFS server was running without problem. 
Both machines were configured via DHCP, so had correct network settings.  I was
not able to see what message occured on VT4 before the decompression error messages.
Comment 2 Michael Fulbright 2001-12-18 10:51:04 EST
This looks very similar to bug 57425.  I can only speculate that the install
files  copied onto the NFS server were corrupted by the copy.  Did you check the
md5sum of the files against the original source?
Comment 3 James Henstridge 2001-12-18 11:07:03 EST
I had the first cd mounted as /mnt/cdrom on the nfs server, and added it
directly to the exports list.  I had already installed a few systems off that
cd, so I don't think the files were corrupt.

I don't think the boot floppy was a problem either -- if it was, the problem
would have occured earlier.
Comment 4 Brent Fox 2002-01-20 23:07:46 EST
There is now a resolution to bug #57425.  Can you look at that report and see if
that fix could help you?  Try booting with 'linux ramdisk_size=7198'.  Does that
Comment 5 Brent Fox 2002-01-31 12:51:16 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.